Loading...
Searching...
No Matches
OpenMesh::Subdivider::Adaptive::RuleHandleT< R > Struct Template Reference

Handle template for adaptive composite subdividion rules. More...

`#include <OpenMesh/Tools/Subdivider/Adaptive/Composite/RuleInterfaceT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Adaptive::RuleHandleT< R >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Adaptive::RuleHandleT< R >:
[legend]

## Public Types

typedef R | Rule

## Public Member Functions

| RuleHandleT (int _idx=-1)
| operator bool () const
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)

## Detailed Description

template<typename R>
struct OpenMesh::Subdivider::Adaptive::RuleHandleT< R >

Handle template for adaptive composite subdividion rules.

Use typed handle of a rule, e.g. Tvv3<MyMesh>::Handle.

The documentation for this struct was generated from the following files:

- OpenMesh/Tools/Subdivider/Adaptive/Composite/CompositeT.hh
- OpenMesh/Tools/Subdivider/Adaptive/Composite/RuleInterfaceT.hh